%define name    php-ssh2
%define version 5.0.4
%define rversion 0.6

%define modname ssh2
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A36_%{modname}.ini

Summary:	PHP bindings for the libssh2 library
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/ssh2
Source0:	ssh2-%{rversion}.tar.bz2
Patch0:		ssh2-0.4.1-lib64.diff.bz2
BuildRequires:	php-devel >= 5.0.4
BuildRequires:	libssh-devel
Provides:	php5-ssh2
Obsoletes:	php5-ssh2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Provides bindings to the functions of libssh2 which implements the
SSH2 protocol.

%prep

%setup -q -n ssh2-%{rversion}
%patch0 -p0

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.6-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.6-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.6-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.6-1mdk
- initial Mandrakelinux package

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.6-1mdk
- 0.6
- rebuilt against a non hardened-php aware php lib

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-3mdk
- fix deps

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.4.1-1mdk
- initial mandrake package
- added P0
